#include <iostream>
#include <string>

using namespace std;

int main()
{
    int f=0;
    int n;
    string s;
    cin >> n;
    cin >> s;
    if(n <= 26) 
    {
        cout << 0;   
    }
    else
    if(n == 27)
    {
        for(int i = 1; i < n; i++)
        {
            if(s[i] <= s[i-1]) 
            {
                f++;
            }
        }
        
        if(f == 1) 
        {
            cout << 1; else cout << 0;   
        }
        else 
        {
            cout << 0;
        }    
    }
    return 0;
}